Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class SshKeyGenerator

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshKeyGenerator

public class SshKeyGenerator
extends java.lang.Object

Constructor Summary
`SshKeyGenerator()` Creates a new SshKeyGenerator object.

Method Summary
`static void` | `changePassphrase(java.io.File f, java.lang.String oldPassphrase, java.lang.String newPassphrase)` DOCUMENT ME!
`static java.lang.String` | `convertPublicKeyFile(java.io.File f, SshPublicKeyFormat convert)` DOCUMENT ME!
`void` | `generateKeyPair(java.lang.String type, int bits, java.lang.String filename, java.lang.String username, java.lang.String passphrase)` DOCUMENT ME!
`static void` | `main(java.lang.String[] args)` DOCUMENT ME!
`static void` | `processCommandLine(java.lang.String[] args)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshKeyGenerator

    public SshKeyGenerator()

  Creates a new SshKeyGenerator object.

Method Detail

### generateKeyPair

    public void generateKeyPair(java.lang.String type,
                                int bits,
                                java.lang.String filename,
                                java.lang.String username,
                                java.lang.String passphrase)
                         throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `type` - DOCUMENT ME!
    `bits` - DOCUMENT ME!
    `filename` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `passphrase` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  DOCUMENT ME!

  Parameters:
    `args` - DOCUMENT ME!

### processCommandLine

    public static void processCommandLine(java.lang.String[] args)

  DOCUMENT ME!

  Parameters:
    `args` - DOCUMENT ME!

### changePassphrase

    public static void changePassphrase(java.io.File f,
                                        java.lang.String oldPassphrase,
                                        java.lang.String newPassphrase)
                                 throws java.io.IOException,
                                        InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `f` - DOCUMENT ME!
    `oldPassphrase` - DOCUMENT ME!
    `newPassphrase` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### convertPublicKeyFile

    public static java.lang.String convertPublicKeyFile(java.io.File f,
                                                        SshPublicKeyFormat convert)
                                                 throws InvalidSshKeyException,
                                                        java.io.IOException

  DOCUMENT ME!

  Parameters:
    `f` - DOCUMENT ME!
    `convert` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD